<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2021.1.1.1" date="2026-03-27 14:56:14"?>
<linkbase 
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
>
  <arcroleRef
    arcroleURI="https://xbrl.org/2023/arcrole/summation-item"
    xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfIncome"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#ConsolidatedStatementOfIncome"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfIncomeAlternate1"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#ConsolidatedStatementOfIncomeAlternate1"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfComprehensiveIncome"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#ConsolidatedStatementOfComprehensiveIncome"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.totalenergies.com/role/ConsolidatedBalanceSheet"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#ConsolidatedBalanceSheet"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfCashFlow"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#ConsolidatedStatementOfCashFlow"
    xlink:type="simple"
  />
  <roleRef
    roleURI="http://www.totalenergies.com/role/ConsolidatedStatementOfChangesInShareholdersEquity"
    xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#ConsolidatedStatementOfChangesInShareholdersEquity"
    xlink:type="simple"
  />
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedStatementOfIncome" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <loc xlink:type="locator" xlink:label="loc_tot_RevenueFromContractsWithCustomersExcludingExciseTax" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_RevenueFromContractsWithCustomersExcludingExciseTax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_RevenueFromContractsWithCustomersExcludingExciseTax" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="1"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromContractsWithCustomers" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueFromContractsWithCustomers"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_RevenueFromContractsWithCustomers" weight="1" xlink:from="loc_tot_RevenueFromContractsWithCustomersExcludingExciseTax" order="2"/>
    <loc xlink:type="locator" xlink:label="loc_tot_Excisetax" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_Excisetax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_Excisetax" weight="-1" xlink:from="loc_tot_RevenueFromContractsWithCustomersExcludingExciseTax" order="3"/>
    <loc xlink:type="locator" xlink:label="loc_tot_CostOfDebtNet" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_CostOfDebtNet"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_CostOfDebtNet" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="4"/>
    <loc xlink:type="locator" xlink:label="loc_tot_InterestExpenseNetOfHedgeInEffectiveness" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_InterestExpenseNetOfHedgeInEffectiveness"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_InterestExpenseNetOfHedgeInEffectiveness" weight="1" xlink:from="loc_tot_CostOfDebtNet" order="5"/>
    <loc xlink:type="locator" xlink:label="loc_tot_FinanceIncomeCostCashAndCashEquivalents" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_FinanceIncomeCostCashAndCashEquivalents"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_FinanceIncomeCostCashAndCashEquivalents" weight="-1" xlink:from="loc_tot_CostOfDebtNet" order="6"/>
    <loc xlink:type="locator" xlink:label="loc_tot_PurchasesNetOfInventoryVariation" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_PurchasesNetOfInventoryVariation"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_PurchasesNetOfInventoryVariation" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="7"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherOperatingIncomeExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherOperatingIncomeExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherOperatingIncomeExpense" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="8"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="9"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_MiscellaneousOtherOperatingIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_MiscellaneousOtherOperatingIncome" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="10"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_MiscellaneousOtherOperatingExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_MiscellaneousOtherOperatingExpense" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="11"/>
    <loc xlink:type="locator" xlink:label="loc_tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssetsAndMineralInterests" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="12"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherFinanceIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherFinanceIncome" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="13"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceCost" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherFinanceCost"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherFinanceCost" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="14"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="15"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" weight="-1" xlink:from="loc_ifrs-full_ProfitLoss" order="16"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedStatementOfIncomeAlternate1" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="17"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" weight="1" xlink:from="loc_ifrs-full_ProfitLoss" order="18"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedStatementOfComprehensiveIncome" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" weight="1" xlink:from="loc_ifrs-full_ComprehensiveIncome" order="1"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" order="2"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" order="3"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" order="4"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" weight="-1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" order="5"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" order="6"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" order="7"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="8"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="9"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="10"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="11"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax" weight="1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="12"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" weight="-1" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="13"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" xlink:from="loc_ifrs-full_ComprehensiveIncome" order="14"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedBalanceSheet" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentAssets" weight="1" xlink:from="loc_ifrs-full_Assets" order="1"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsAndGoodwill" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsAndGoodwill"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IntangibleAssetsAndGoodwill" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="2"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="3"/>
    <loc xlink:type="locator" xlink:label="loc_tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_InvestmentsAccountedForUsingEquityMethodAndLoansToEquityAffiliates" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="4"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="5"/>
    <loc xlink:type="locator" xlink:label="loc_tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_OtherNonCurrentFinancialAssetsExcludingLoansAdvancesAndOtherOperationalFinancialAssets" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="6"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NetDeferredTaxAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NetDeferredTaxAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NetDeferredTaxAssets" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="7"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherNoncurrentAssets" weight="1" xlink:from="loc_ifrs-full_NoncurrentAssets" order="8"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentAssets" weight="1" xlink:from="loc_ifrs-full_Assets" order="9"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_Inventories" weight="1" xlink:from="loc_ifrs-full_CurrentAssets" order="10"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTradeReceivables" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTradeReceivables"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentTradeReceivables" weight="1" xlink:from="loc_ifrs-full_CurrentAssets" order="11"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCurrentAssets" weight="1" xlink:from="loc_ifrs-full_CurrentAssets" order="12"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets" weight="1" xlink:from="loc_ifrs-full_CurrentAssets" order="13"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashAndCashEquivalents" weight="1" xlink:from="loc_ifrs-full_CurrentAssets" order="14"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" weight="1" xlink:from="loc_ifrs-full_CurrentAssets" order="15"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedBalanceSheet" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_Equity" weight="1" xlink:from="loc_ifrs-full_EquityAndLiabilities" order="16"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent" weight="1" xlink:from="loc_ifrs-full_Equity" order="17"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IssuedCapital" weight="1" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" order="18"/>
    <loc xlink:type="locator" xlink:label="loc_tot_SharePremiumAndRetainedEarnings" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_SharePremiumAndRetainedEarnings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_SharePremiumAndRetainedEarnings" weight="1" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" order="19"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" weight="1" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" order="20"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_TreasuryShares" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_TreasuryShares" weight="-1" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" order="21"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncontrollingInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncontrollingInterests" weight="1" xlink:from="loc_ifrs-full_Equity" order="22"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentLiabilities" weight="1" xlink:from="loc_ifrs-full_EquityAndLiabilities" order="23"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" weight="1" xlink:from="loc_ifrs-full_CurrentLiabilities" order="24"/>
    <loc xlink:type="locator" xlink:label="loc_tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_OtherCurrentPayablesAccruedExpensesAndOtherCurrentLiabilities" weight="1" xlink:from="loc_ifrs-full_CurrentLiabilities" order="25"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" weight="1" xlink:from="loc_ifrs-full_CurrentLiabilities" order="26"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCurrentFinancialLiabilities" weight="1" xlink:from="loc_ifrs-full_CurrentLiabilities" order="27"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" weight="1" xlink:from="loc_ifrs-full_CurrentLiabilities" order="28"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentLiabilities" weight="1" xlink:from="loc_ifrs-full_EquityAndLiabilities" order="29"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NetDeferredTaxLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NetDeferredTaxLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NetDeferredTaxLiabilities" weight="1" xlink:from="loc_ifrs-full_NoncurrentLiabilities" order="30"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits" weight="1" xlink:from="loc_ifrs-full_NoncurrentLiabilities" order="31"/>
    <loc xlink:type="locator" xlink:label="loc_tot_OtherProvisionsAndNoncurrentLiabilities" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_OtherProvisionsAndNoncurrentLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_OtherProvisionsAndNoncurrentLiabilities" weight="1" xlink:from="loc_ifrs-full_NoncurrentLiabilities" order="32"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_LongtermBorrowings" weight="1" xlink:from="loc_ifrs-full_NoncurrentLiabilities" order="33"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedStatementOfCashFlow" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" weight="1" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" order="1"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="2"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="3"/>
    <loc xlink:type="locator" xlink:label="loc_tot_AdjustmentsForProvisionsAndDeferredTaxExpense" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_AdjustmentsForProvisionsAndDeferredTaxExpense"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_AdjustmentsForProvisionsAndDeferredTaxExpense" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="4"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="5"/>
    <loc xlink:type="locator" xlink:label="loc_tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_AdjustmentsForDividendsAndUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="6"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_IncreaseDecreaseInWorkingCapital" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="7"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" order="8"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" weight="1" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" order="9"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromIssueOfOrdinaryShares" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromIssueOfOrdinaryShares"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProceedsFromIssueOfOrdinaryShares" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="10"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="11"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="12"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="13"/>
    <loc xlink:type="locator" xlink:label="loc_tot_ProceedsFromIssueRepaymentOfSubordinatedNotes" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromIssueRepaymentOfSubordinatedNotes"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_ProceedsFromIssueRepaymentOfSubordinatedNotes" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="14"/>
    <loc xlink:type="locator" xlink:label="loc_tot_PaymentForCouponsOnSubordinatedNotes" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_PaymentForCouponsOnSubordinatedNotes"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_PaymentForCouponsOnSubordinatedNotes" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="15"/>
    <loc xlink:type="locator" xlink:label="loc_tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_ProceedsFromPaymentsForOtherTransactionsWithNoncontrollingInterests" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="16"/>
    <loc xlink:type="locator" xlink:label="loc_tot_ProceedsFromRepaymentsOfNonCurrentBorrowings" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromRepaymentsOfNonCurrentBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_ProceedsFromRepaymentsOfNonCurrentBorrowings" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="17"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="18"/>
    <loc xlink:type="locator" xlink:label="loc_tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_CashFlowsFromUsedInIncreaseDecreaseInCurrentFinancialAssetsAndLiabilities" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" order="19"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" weight="1" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" order="20"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_InflowsOfCashFromInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InflowsOfCashFromInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_InflowsOfCashFromInvestingActivities" weight="1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" order="21"/>
    <loc xlink:type="locator" xlink:label="loc_tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" weight="1" xlink:from="loc_ifrs-full_InflowsOfCashFromInvestingActivities" order="22"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" weight="1" xlink:from="loc_ifrs-full_InflowsOfCashFromInvestingActivities" order="23"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" weight="1" xlink:from="loc_ifrs-full_InflowsOfCashFromInvestingActivities" order="24"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" weight="1" xlink:from="loc_ifrs-full_InflowsOfCashFromInvestingActivities" order="25"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" weight="-1" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" order="26"/>
    <loc xlink:type="locator" xlink:label="loc_tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:href="529900S21EQ1BO4ESM68-2025-12-31.xsd#tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_tot_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" weight="1" xlink:from="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" order="27"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" weight="1" xlink:from="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" order="28"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" weight="1" xlink:from="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" order="29"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" weight="1" xlink:from="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" order="30"/>
  </calculationLink>
  <calculationLink xlink:role="http://www.totalenergies.com/role/ConsolidatedStatementOfChangesInShareholdersEquity" xlink:type="extended">
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" xlink:from="loc_ifrs-full_ComprehensiveIncome" order="1"/>
    <loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" use="optional" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" weight="1" xlink:from="loc_ifrs-full_ComprehensiveIncome" order="2"/>
  </calculationLink>
</linkbase>